package com.seatel.mobilehall.ui.profile.activity

import android.content.Context
import android.content.Intent
import android.os.Bundle
import android.view.View
import com.seatel.mobilehall.R
import com.seatel.mobilehall.ui.base.activity.BaseActivity
import kotlinx.android.synthetic.main.activity_change_password_completed.*

class ChangePasswordCompletedActivity : BaseActivity(), View.OnClickListener {

    override fun onClick(v: View?) {
        onBackPressed()
    }

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_change_password_completed)
        activityEnterFadeInAnimation()
        button_change_password_ok.setOnClickListener(this)
    }

    override fun onBackPressed() {
        super.onBackPressed()
        super.activityExitFadeOutAnimation()
    }

    companion object {
        fun lunch(context: Context) {
            val intent = Intent(context, ChangePasswordCompletedActivity::class.java)
            context.startActivity(intent)
        }
    }

    override fun isDisplayToolbar(): Boolean {
        return false
    }
}
